Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class JCAConnectionStatsImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatsBase
          org.jboss.management.j2ee.statistics.JCAConnectionStatsImpl

All Implemented Interfaces:
  javax.management.j2ee.statistics.JCAConnectionStats, Serializable, javax.management.j2ee.statistics.Stats

Direct Known Subclasses:
  JCAConnectionPoolStatsImpl

public class JCAConnectionStatsImpl
extends StatsBase
implements javax.management.j2ee.statistics.JCAConnectionStats

Version:
  $Revision: 1.5 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`JCAConnectionStatsImpl(String cfName, String mcfName)`
`JCAConnectionStatsImpl(String cfName, String mcfName, javax.management.j2ee.statistics.TimeStatistic waitTime, javax.management.j2ee.statistics.TimeStatistic useTime)`

Method Summary
`String` | `getConnectionFactory()` Returns the associated JCAConnectionFactory OBJECT_NAME
`String` | `getManagedConnectionFactory()` Returns the associated JCAManagedConnectionFactory OBJECT_NAME
`javax.management.j2ee.statistics.TimeStatistic` | `getUseTime()` Returns the time spent using a connection
`javax.management.j2ee.statistics.TimeStatistic` | `getWaitTime()` Returns the time spent waiting for a connection to be available

Methods inherited from class org.jboss.management.j2ee.statistics.StatsBase
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JCAConnectionStatsImpl

    public JCAConnectionStatsImpl(String cfName,
                                  String mcfName)

### JCAConnectionStatsImpl

    public JCAConnectionStatsImpl(String cfName,
                                  String mcfName,
                                  javax.management.j2ee.statistics.TimeStatistic waitTime,
                                  javax.management.j2ee.statistics.TimeStatistic useTime)

Method Detail

### getConnectionFactory

    public String getConnectionFactory()

  Description copied from interface: `javax.management.j2ee.statistics.JCAConnectionStats`
  Returns the associated JCAConnectionFactory OBJECT_NAME

  Specified by:
    `getConnectionFactory` in interface `javax.management.j2ee.statistics.JCAConnectionStats`
  Returns:
    String the OBJECT_NAME of the managed object that identifies the connection factory for this connection getManagedConnectionFactory

### getManagedConnectionFactory

    public String getManagedConnectionFactory()

  Description copied from interface: `javax.management.j2ee.statistics.JCAConnectionStats`
  Returns the associated JCAManagedConnectionFactory OBJECT_NAME

  Specified by:
    `getManagedConnectionFactory` in interface `javax.management.j2ee.statistics.JCAConnectionStats`
  Returns:
    String the OBJECT_NAME of the managed object that identifies the managed connection factory for this connection getWaitTime

### getWaitTime

    public javax.management.j2ee.statistics.TimeStatistic getWaitTime()

  Description copied from interface: `javax.management.j2ee.statistics.JCAConnectionStats`
  Returns the time spent waiting for a connection to be available

  Specified by:
    `getWaitTime` in interface `javax.management.j2ee.statistics.JCAConnectionStats`

### getUseTime

    public javax.management.j2ee.statistics.TimeStatistic getUseTime()

  Description copied from interface: `javax.management.j2ee.statistics.JCAConnectionStats`
  Returns the time spent using a connection

  Specified by:
    `getUseTime` in interface `javax.management.j2ee.statistics.JCAConnectionStats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.